org.apache.cassandra.net

## Interface MessagingServiceMBean

All Known Implementing Classes:
  MessagingService

    public interface MessagingServiceMBean

MBean exposing MessagingService metrics. - OutboundConnectionPools - Command/Response - Pending/Completed Tasks

### Method Summary

Methods
`java.util.Map<java.lang.String,java.lang.Long>` `getCommandCompletedTasks()` Completed tasks for Command(Mutations, Read etc) TCP Connections
`java.util.Map<java.lang.String,java.lang.Long>` `getCommandDroppedTasks()` Dropped tasks for Command(Mutations, Read etc) TCP Connections
`java.util.Map<java.lang.String,java.lang.Integer>` `getCommandPendingTasks()` Pending tasks for Command(Mutations, Read etc) TCP Connections
`java.util.Map<java.lang.String,java.lang.Integer>` `getDroppedMessages()` dropped message counts for server lifetime
`java.util.Map<java.lang.String,java.lang.Integer>` `getRecentlyDroppedMessages()` dropped message counts since last called
`java.util.Map<java.lang.String,java.lang.Long>` `getRecentTimeoutsPerHost()` Number of timeouts since last check per host.
`long` `getRecentTotalTimouts()` Number of timeouts since last check.
`java.util.Map<java.lang.String,java.lang.Long>` `getResponseCompletedTasks()` Completed tasks for Response(GOSSIP & RESPONSE) TCP Connections
`java.util.Map<java.lang.String,java.lang.Integer>` `getResponsePendingTasks()` Pending tasks for Response(GOSSIP & RESPONSE) TCP Connections
`java.util.Map<java.lang.String,java.lang.Long>` `getTimeoutsPerHost()` Number of timeouts per host
`long` `getTotalTimeouts()` Total number of timeouts happened on this node
`int` `getVersion(java.lang.String address)`

### Method Detail

#### getCommandPendingTasks

    java.util.Map<java.lang.String,java.lang.Integer> getCommandPendingTasks()

Pending tasks for Command(Mutations, Read etc) TCP Connections

#### getCommandCompletedTasks

    java.util.Map<java.lang.String,java.lang.Long> getCommandCompletedTasks()

Completed tasks for Command(Mutations, Read etc) TCP Connections

#### getCommandDroppedTasks

    java.util.Map<java.lang.String,java.lang.Long> getCommandDroppedTasks()

Dropped tasks for Command(Mutations, Read etc) TCP Connections

#### getResponsePendingTasks

    java.util.Map<java.lang.String,java.lang.Integer> getResponsePendingTasks()

Pending tasks for Response(GOSSIP & RESPONSE) TCP Connections

#### getResponseCompletedTasks

    java.util.Map<java.lang.String,java.lang.Long> getResponseCompletedTasks()

Completed tasks for Response(GOSSIP & RESPONSE) TCP Connections

#### getDroppedMessages

    java.util.Map<java.lang.String,java.lang.Integer> getDroppedMessages()

dropped message counts for server lifetime

#### getRecentlyDroppedMessages

    java.util.Map<java.lang.String,java.lang.Integer> getRecentlyDroppedMessages()

dropped message counts since last called

#### getTotalTimeouts

    long getTotalTimeouts()

Total number of timeouts happened on this node

#### getTimeoutsPerHost

    java.util.Map<java.lang.String,java.lang.Long> getTimeoutsPerHost()

Number of timeouts per host

#### getRecentTotalTimouts

    long getRecentTotalTimouts()

Number of timeouts since last check.

#### getRecentTimeoutsPerHost

    java.util.Map<java.lang.String,java.lang.Long> getRecentTimeoutsPerHost()

Number of timeouts since last check per host.

#### getVersion

    int getVersion(java.lang.String address)
                   throws java.net.UnknownHostException

Throws:
  `java.net.UnknownHostException`